<div>
      <mat-card class="translation-card">
        <div class="translation-text">{{this.translation.text}}</div>
      </mat-card>
</div>
<mat-card class="form-container">
  <div>

    Update translation
  </div>
  <mat-card-content>
    <form [formGroup]="this.updateTranslationForm" (ngSubmit)="this.onSubmit(this.updateTranslationForm.value)">
      <div class="title-container">
        <mat-form-field>
          <input matInput placeholder="new translation" required formControlName="text" value="{{ this.translation.text }}">
        </mat-form-field>
      </div>
      <div class="btn-submit-container">
        <button mat-button class="btn-submit" type="submit">Submit</button>
      </div>
    </form >
  </mat-card-content>
</mat-card>
  